org.eclipse.wst.jsdt.js.common.util

## Class PlatformUtil

- java.lang.Object
- - org.eclipse.wst.jsdt.js.common.util.PlatformUtil

    public class PlatformUtil
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `PlatformUtil.OS`

### Constructor Summary

Constructors
Constructor and Description
`PlatformUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static PlatformUtil.OS` `getOs()`
`static boolean` `isLinux()`
`static boolean` `isMacOS()`
`static boolean` `isWindows()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlatformUtil

    public PlatformUtil()

### Method Detail

#### isWindows

    public static boolean isWindows()

#### isMacOS

    public static boolean isMacOS()

#### isLinux

    public static boolean isLinux()

#### getOs

    public static PlatformUtil.OS getOs()